Subject: Re: linux-next: manual merge of the omap tree with Linus' tree

From: Kevin Hilman <[email-masked]>
Date: Tue, 04 Nov 2025 17:28:28 -0800

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> Today's linux-next merge of the omap tree got a conflict in:
>
>   arch/arm/configs/omap2plus_defconfig
>
> between commit:
>
>   c065b6046b34 ("Use CONFIG_EXT4_FS instead of CONFIG_EXT3_FS in all of the defconfigs")
>
> from Linus' tree and commit:
>
>   810c5ef6efe9 ("arm: omap2plus_defconfig: enable ext4 directly")
>
> from the omap tree.
>
> I fixed it up (the latter includes the former) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks for catching this.  I'll drop the patch from the omap tree.

Kevin